##### basic_socket_acceptor::basic_socket_acceptor (2 of 10 overloads)

Construct an acceptor without opening it.

    template<
        typename ExecutionContext>
    basic_socket_acceptor(
        ExecutionContext & context,
        constraint_t< is_convertible< ExecutionContext &, execution_context & >::value >  = 0);

This constructor creates an acceptor without opening it to listen for new connections. The `open()` function must be called before the acceptor can accept new socket connections.

###### Parameters

context

  An execution context which provides the I/O executor that the acceptor will use, by default, to dispatch handlers for any asynchronous operations performed on the acceptor.